## glibmm2.4 2.64.2

=== meson_options.txt ===
option('maintainer-mode', type: 'combo', choices: ['false', 'if-git-build', 'true'],
  value: 'if-git-build', description: 'Generate source code from .hg and .ccg files')
option('warnings', type: 'combo', choices: ['no', 'min', 'max', 'fatal'], value: 'fatal',
  description: 'Compiler warning level')
option('build-deprecated-api', type: 'boolean', value: true,
  description: 'Build deprecated API and include it in the library')
option('build-documentation', type: 'combo', choices: ['false', 'if-maintainer-mode', 'true'],
  value: 'if-maintainer-mode', description: 'Build and install the documentation')
option('debug-refcounting', type: 'boolean', value: false,
  description: 'Print debug messages in connection with reference counting')
option('build-examples', type: 'boolean', value: true,
  description: 'Build example programs')

## glibmm2.4 2.8.10-0maemo0

=== debian/changelog ===
glibmm2.4 (2.8.10-0maemo0) dapper; urgency=low

  * Updated to 2.8.10 and used the new 
  --enable-api-default-signal-handlers=no option.

 -- Murray Cumming <murrayc@murrayc.com>  Thu, 20 Jul 2006 20:42:06 +0200

glibmm2.4 (2.6.2-0maemo0) dapper; urgency=low

  * Create a package for 2.6, by copying the latest debian files from 
  2.10 in ubuntu Dapper.

 -- Murray Cumming <murrayc@murrayc.com>  Thu, 20 Apr 2006 11:22:32 +0200

glibmm2.4 (2.10.0-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - Windows Build:
      - ustring.h: Tag npos with GLIBMM_API, in order to dllexport it on 
        win32.
      - Updated MSVC++ build files and README, for MS Visual Studio 2005.
    - gmmproc code generator:
      - WRAP_METHOD() Take an extra optional argument: deprecated 
        deprecationtext - so that we can insert the appropriate doxygen tag 
        in the documentation, where the C documentation does not do it for us.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  9 Mar 2006 10:37:32 +0000

glibmm2.4 (2.9.1-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - Date:
      - Added set_time(time_t), set_time(GTimeVal), and deprecated
        set_time(GTime)
      - Added set_time_current().
    - Build: Added --enable-deprecated-api  option. When set to disabled,
      it does not build deprecated API. This reduces the size of the
      library, and might be useful for embedded devices.
  * debian/control:
    - bumped glib Build-Dep to 2.9.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  2 Feb 2006 19:53:19 +0000

glibmm2.4 (2.8.4-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - OptionGroup: Fix memory leaks.
    - Documentation: Fix link in reference documentation header.
  * debian/control:
    - added autotools-dev as Build-Depends to get config.{sub,guess} love.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Sat, 28 Jan 2006 14:40:58 +0100

glibmm2.4 (2.8.3-0ubuntu1) dapper; urgency=low

  * New upstream release:
    - filename_display_name(): Correct the declaration to fix
      the linker error.
    - Build: For reduced-resources devices, optionally allow deprecated
      API to be left out of the library.
    - Documentation:
      - Show Since and Deprecated lists of API.
  * debian/patches/enable-deprecated.patch:
    - dropped, Upstream has a build-Option now.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Fri, 16 Dec 2005 13:39:52 +0100

glibmm2.4 (2.8.2-2ubuntu1) dapper; urgency=low

  * debian/patches/enable-deprecated.patch:
    - enable wrapping of deprecated glibmm-functions.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 30 Nov 2005 13:26:32 +0100

glibmm2.4 (2.8.2-2) unstable; urgency=low

  * Fix shlibs file

 -- Bradley Bell <btb@debian.org>  Sun, 27 Nov 2005 18:15:37 -0800

glibmm2.4 (2.8.2-1) unstable; urgency=low

  * New upstream release
  * C++ transition (Closes: #339173)

 -- Bradley Bell <btb@debian.org>  Sun, 27 Nov 2005 06:48:47 -0800

glibmm2.4 (2.6.1-1.2) unstable; urgency=medium

  * NMU.
  * Tighten the (build-)dependency on libsigc++2.0-dev to the first
    version built with g++-4.0.

 -- Matthias Klose <doko@debian.org>  Tue,  2 Aug 2005 10:04:58 +0200

glibmm2.4 (2.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * C++ ABI transition

 -- Philipp Kern <pkern@debian.org>  Fri, 15 Jul 2005 14:14:31 +0000

glibmm2.4 (2.6.1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable

 -- Bradley Bell <btb@debian.org>  Mon,  7 Mar 2005 13:38:17 -0800

glibmm2.4 (2.5.5-3) experimental; urgency=low

  * Fix watch file

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 19:30:30 -0800

glibmm2.4 (2.5.5-2) experimental; urgency=low

  * Added versioned shlibs file

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 18:03:57 -0800

glibmm2.4 (2.5.5-1) experimental; urgency=low

  * New upstream release (Closes: #279479)

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 12:57:21 -0800

glibmm2.4 (2.4.6-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 31 Jan 2005 12:20:48 -0800

glibmm2.4 (2.4.5-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Thu, 28 Oct 2004 16:09:24 -0700

glibmm2.4 (2.4.4-2) unstable; urgency=low

  * Fixed watch file

 -- Bradley Bell <btb@debian.org>  Mon, 20 Sep 2004 10:46:46 -0700

glibmm2.4 (2.4.4-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon,  9 Aug 2004 15:59:26 -0700

glibmm2.4 (2.4.3-2) unstable; urgency=low

  * Patch to prevent segfault in lostirc (see #259555)

 -- Bradley Bell <btb@debian.org>  Mon,  2 Aug 2004 11:13:30 -0700

glibmm2.4 (2.4.3-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Thu,  1 Jul 2004 11:46:16 -0700

glibmm2.4 (2.4.2-1) unstable; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon,  7 Jun 2004 14:27:30 -0700

glibmm2.4 (2.4.1-3) unstable; urgency=low

  * oops, real upload to unstable

 -- Bradley Bell <btb@debian.org>  Wed,  2 Jun 2004 14:47:13 -0700

glibmm2.4 (2.4.1-2) experimental; urgency=low

  * upload to unstable

 -- Bradley Bell <btb@debian.org>  Wed,  2 Jun 2004 13:44:47 -0700

glibmm2.4 (2.4.1-1) experimental; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 10 May 2004 15:43:18 -0700

glibmm2.4 (2.4.0-4) experimental; urgency=low

  * Distribute glibmm_check_perl.m4

 -- Bradley Bell <btb@debian.org>  Wed, 21 Apr 2004 18:22:35 -0700

glibmm2.4 (2.4.0-3) experimental; urgency=low

  * Fixes to the documentation

 -- Bradley Bell <btb@debian.org>  Tue, 20 Apr 2004 15:53:21 -0700

glibmm2.4 (2.4.0-2) experimental; urgency=low

  * Add dependency on glib and sigc dev packages

 -- Bradley Bell <btb@debian.org>  Mon, 12 Apr 2004 20:36:49 -0700

glibmm2.4 (2.4.0-1) experimental; urgency=low

  * New upstream release

 -- Bradley Bell <btb@debian.org>  Mon, 12 Apr 2004 17:05:38 -0700



=== debian/control ===
Source: glibmm2.4
Section: libs
Priority: optional
Maintainer: Bradley Bell <btb@debian.org>
Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.6.0), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
Standards-Version: 3.6.2

Package: libglibmm-2.4-dev
Section: libdevel
Architecture: any
Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.6.0), libsigc++-2.0-dev (>= 2.0.16-2)
Suggests: libgtkmm-2.4-dev, libgtkmm-2.4-doc
Conflicts: libglibmm2.3-dev
Replaces: libglibmm2.3-dev
Description: C++ wrapper for the GLib toolkit (development files)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains development files, reference documentation, and
 examples.

Package: libglibmm-2.4-1c2a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libglibmm-2.4-1, libglibmm-2.4-1c2
Replaces: libglibmm-2.4-1, libglibmm-2.4-1c2
Description: C++ wrapper for the GLib toolkit (shared libraries)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains shared libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CXXFLAGS = -fno-exceptions -g -Os
EXTRA_CONFIGURE_OPTIONS = --enable-deprecated-api=no --enable-api-exceptions=no --enable-api-vfuncs=no --enable-api-properties=no --enable-api-default-signal-handlers=no

#CXXFLAGS = -Wall -g
#
#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CXXFLAGS += -O0
#else
#	CXXFLAGS += -O2
#endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


autogen:
	libtoolize --force --copy
	aclocal-1.9 -I scripts
	automake-1.9 --copy --add-missing
	autoconf2.50


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CXXFLAGS)" $(EXTRA_CONFIGURE_OPTIONS)


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub scripts/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess scripts/config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs -XMakefile -XDoxyfile
	for file in debian/libglibmm-2.4-dev/usr/share/doc/libglibmm-2.4-dev/reference/html/*.html; do \
		sed 's/\.\.\/\.\.\/\.\.\/\.\.\/gtkmm-2\.4\/docs\//\.\.\/\.\.\/\.\.\/libgtkmm-2.4-doc\//g;' $$file > $$file.fixed; \
		mv $$file.fixed $$file; \
		sed 's/\.\.\/\.\.\/\.\.\/gtkmm-2\.4\/docs\//\.\.\/\.\.\/\.\.\/libgtkmm-2.4-doc\//g;' $$file > $$file.fixed; \
		mv $$file.fixed $$file; \
	done
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -Xdoxygen_tags
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## glibmm2.4 2.8.14-0maemo0

=== debian/changelog ===
glibmm2.4 (2.8.14-0maemo0) dapper; urgency=low

  * Update to latest version and packaged for Maemo bora.

 -- Murray Cumming <murrayc@murrayc.com>  Fri, 19 Jan 2007 11:29:43 +0100

glibmm2.4 (2.8.13-0maemo0) dapper; urgency=low

  * Upgrade to latest source version.

 -- Murray Cumming <murrayc@murrayc.com>  Tue, 28 Nov 2006 13:47:34 +0100

## glibmm2.4 2.18.2-0maemo0

=== debian/changelog ===
glibmm2.4 (2.18.2-0maemo0) dapper; urgency=low

  * Update to latest version and packaged for Maemo fremantle.

 -- David King <davidk@openismus.com>  Mon, 23 Mar 2009 17:19:32 +0100

glibmm2.4 (2.12.10-0maemo1) dapper; urgency=low

  * Added -dbg package providing debug symbols

 -- Armin Burgmeier <armin@openismus.com>  Fri, 16 May 2008 21:34:04 +0200

glibmm2.4 (2.12.10-0maemo0) dapper; urgency=low

  * Corrected the version number.

 -- Murray Cumming <murrayc@murrayc.com>  Mon, 30 Jul 2007 13:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Bradley Bell <btb@debian.org>
-Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.6.0), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
+Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.18.0), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
 Standards-Version: 3.6.2
 
 Package: libglibmm-2.4-dev
 Section: libdevel
 Architecture: any
-Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.6.0), libsigc++-2.0-dev (>= 2.0.16-2)
+Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.18.0), libsigc++-2.0-dev (>= 2.0.16-2)
 Suggests: libgtkmm-2.4-dev, libgtkmm-2.4-doc
-Conflicts: libglibmm2.3-dev
-Replaces: libglibmm2.3-dev
 Description: C++ wrapper for the GLib toolkit (development files)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -32,3 +30,15 @@
  glibmm is the C++ wrapper for GLib.
  .
  This package contains shared libraries.
+
+Package: libglibmm-2.4-1c2a-dbg
+Section: libdevel
+Architecture: any
+Depends: libglibmm-2.4-1c2a
+Description: C++ wrapper for the GLib toolkit (debugging symbols)
+ GLib is a low-level general-purpose library used mainly by GTK+/GNOME
+ applications, but is useful for other programs as well.
+ glibmm is the C++ wrapper for GLib.
+ .
+ This package contains debugging symbols.
+

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CXXFLAGS = -fno-exceptions -g -Os
-EXTRA_CONFIGURE_OPTIONS = --enable-deprecated-api=no --enable-api-exceptions=no --enable-api-vfuncs=no --enable-api-properties=no --enable-api-default-signal-handlers=no
+CXXFLAGS = -g -Os -fno-exceptions
+EXTRA_CONFIGURE_OPTIONS = --enable-deprecated-api=no --enable-api-exceptions=no --enable-api-properties=no --enable-api-default-signal-handlers=no
 
 #CXXFLAGS = -Wall -g
 #
@@ -105,7 +105,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=libglibmm-2.4-1c2a
 	dh_compress -Xdoxygen_tags
 	dh_fixperms
 #	dh_perl

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
ftp://ftp.gnome.org/pub/gnome/sources/glibmm/2.8/glibmm-(.*)\.tar\.gz	debian	uupdate

## glibmm2.4 2.20.1-0maemo0

=== debian/changelog ===
glibmm2.4 (2.20.1-0maemo0) fremantle; urgency=low

  * Update to latest version.

 -- David King <davidk@openismus.com>  Fri, 17 Jul 2009 12:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Bradley Bell <btb@debian.org>
-Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.18.0), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
+Maintainer: David King <davidk@openismus.com>
+Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.19.8), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
 Standards-Version: 3.6.2
 
 Package: libglibmm-2.4-dev
 Section: libdevel
 Architecture: any
-Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.18.0), libsigc++-2.0-dev (>= 2.0.16-2)
+Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.19.8), libsigc++-2.0-dev (>= 2.0.16-2)
 Suggests: libgtkmm-2.4-dev, libgtkmm-2.4-doc
 Description: C++ wrapper for the GLib toolkit (development files)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME

## glibmm2.4 2.20.2-0maemo0

=== debian/changelog ===
glibmm2.4 (2.20.2-0maemo0) fremantle; urgency=low

  * New upstream release.

 -- David King <davidk@openismus.com>  Mon, 21 Sep 2009 11:31:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: David King <davidk@openismus.com>
-Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.19.8), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
+Build-Depends: debhelper (>= 4.0.0), libglib2.0-dev (>= 2.20.0), libsigc++-2.0-dev (>= 2.0.6-0), autotools-dev
 Standards-Version: 3.6.2
 
 Package: libglibmm-2.4-dev
 Section: libdevel
 Architecture: any
-Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.19.8), libsigc++-2.0-dev (>= 2.0.16-2)
+Depends: libglibmm-2.4-1c2a (= ${Source-Version}), libglib2.0-dev (>= 2.20.0), libsigc++-2.0-dev (>= 2.0.16-2)
 Suggests: libgtkmm-2.4-dev, libgtkmm-2.4-doc
 Description: C++ wrapper for the GLib toolkit (development files)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME

## glibmm2.4 2.20.2-0maemo1

=== debian/changelog ===
glibmm2.4 (2.20.2-0maemo1) fremantle; urgency=low

  * Enable automatic optification with debian/optify.
  * Add bugtracker link to binary package.

 -- David King <davidk@openismus.com>  Wed, 10 Mar 2010 11:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Depends: ${shlibs:Depends}
 Conflicts: libglibmm-2.4-1, libglibmm-2.4-1c2
 Replaces: libglibmm-2.4-1, libglibmm-2.4-1c2
+XSBC-Bugtracker: https://bugzilla.gnome.org/enter_bug.cgi?product=glibmm
 Description: C++ wrapper for the GLib toolkit (shared libraries)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 autogen:
 	libtoolize --force --copy
-	aclocal-1.9 -I scripts
+	aclocal-1.9 -I build
 	automake-1.9 --copy --add-missing
 	autoconf2.50
 
@@ -57,10 +57,10 @@
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub scripts/config.sub
+	cp -f /usr/share/misc/config.sub build/config.sub
 endif
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess scripts/config.guess
+	cp -f /usr/share/misc/config.guess build/config.guess
 endif

## glibmm2.4 2.28.0

=== debian/changelog ===
glibmm2.4 (2.28.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Deng Xiyue ]
  * New upstream bugfix release.  (Closes: #621856)
    + debian/control.in:
      + Update GLib dependency to >= 2.28.0
    + debian/rules:
      + Update SHVER to 2.28.0 due to new API.
    + debian/libglibmm-2.4-dev.install:
      + Stop shipping /usr/share/glibmm-2.4, no longer exists.
  * debian/control.in:
    + Update Standard-Version to 3.9.1.
  * Convert to source format 3.0 (quilt):
    + debian/source/format: added.
    + debian/rules: drop simple-patchsys.mk

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 13 Apr 2011 10:05:51 +0800

glibmm2.4 (2.24.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 09:48:25 +0200

glibmm2.4 (2.24.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 13:40:21 +0200

glibmm2.4 (2.24.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update GLib (build-) dependency to >= 2.24.0.
    + debian/rules:
      - Update shlibs version to >= 2.24.0 because of new API.
  * debian/control.in:
    + Update Standard-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Apr 2010 16:28:06 +0200

glibmm2.4 (2.22.1-2) unstable; urgency=low

  * Ship doctool in usr/share/glibmm-2.4

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 04 Oct 2009 12:21:02 -0700

glibmm2.4 (2.22.1-1) unstable; urgency=low

  * New upstream release.
    + Bump shlibs version to 2.22.0
    + Update build-depends to libglib2.0-dev >= 2.21.1.
    + Adjust doc path according to new location of new release.
  * Update Standard-Version to 3.8.3.  No change required.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 04 Oct 2009 04:05:01 -0700

glibmm2.4 (2.20.1-1) unstable; urgency=low

  * New upstream release.
  * Section of libglibmm-2.4-dbg is "debug" now.
  * Update debian/copyright to conform to latest DEP 5.
    + Fix incorrect license.
    + Point to versioned license files.
  * Update Standard-Version to 3.8.2.  No change required.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 20 Jul 2009 10:01:53 +0800

glibmm2.4 (2.20.0-1) unstable; urgency=low

  * New upstream release.
    + Update shlibs version to 2.19.8, last new API addition.
    + Update bdep of libglib2.0-dev to >= 2.19.8 as per configure.in.
  * Make libglibmm-2.4-dev depends on libsigc++-2.0-dev >= 2.0.0 as per
    configure.in.
  * Drop versioned dpkg-dev depends.  As Lenny released, the required
    dpkg-dev version is already in stable.
  * Update Standard-Version to 3.8.1.  No change required.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 19 Mar 2009 14:06:16 +0800

glibmm2.4 (2.18.1-2) unstable; urgency=low

  * Upload to unstable.  Yay for Lenny!  Drop check-dist.mk and make Vcs-*
    target unstable again.
  * Use ``usr/share/doc/glibmm-2.4'' as URL in doc-base to match upstream
    behavior.
  * Use viewsvn instead of wsvn in Vcs-Browser.
  * `make -C examples clean` after `make install` of the -doc package to
    prevent shipping unexpected files.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 18 Feb 2009 11:21:33 +0800

glibmm2.4 (2.18.1-1) experimental; urgency=low

  * New upstream stable release.
  * Use POSIX standard regex classes in sed trick in debian/rules.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 21 Oct 2008 22:29:45 +0800

glibmm2.4 (2.18.0-1) experimental; urgency=low

  * New upstream stable release finally.  Not upload to unstable before Lenny
    releases.
    + Bump shlibs version to 2.18.0.
    + Fix -dev Suggests by adding epoch to libgtkmm-2.4-dev version 1:2.12.1.
    + debian/watch targets stable releases again.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 23 Sep 2008 22:36:27 +0800

glibmm2.4 (2.17.3-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs version to 2.17.3.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 09 Sep 2008 22:24:07 +0800

glibmm2.4 (2.17.2-1) experimental; urgency=low

  * New upstream development release.
    + Bump shlibs to >= 2.17.2.
    + Bump b-dep on libglib2.0-dev >= 2.17.3.
  * Use check-dist.mk in debian/rules
  * Make debian/watch target development releases.
  * libglibmm-2.4-doc:
    + Recommend the new gtkmm-documentation instead of libgtkmm-2.4-doc.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 07 Aug 2008 21:00:07 +0800

glibmm2.4 (2.16.4-1) unstable; urgency=low

  [ Loic Minier ]
  * Properly anchor package name regexp.

  [ Deng Xiyue ]
  * New upstream stable release.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sat, 05 Jul 2008 02:08:40 +0800

glibmm2.4 (2.16.3-1) unstable; urgency=low

  * New Upstream stable release.
  * Refine debian/copyright:
    - Get rid of X-Comment and move its content to corresponding License:
      fields.
    + Use headers without X- prefix.
    + Add Original-Source-Command.
  * Update standard version to 3.8.0.  No change needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 17 Jun 2008 21:39:20 +0800

glibmm2.4 (2.16.2-1) unstable; urgency=low

  * New upstream release.
  * Use machine-interpretable format for debian/copyright.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sat, 19 Apr 2008 21:55:37 +0800

glibmm2.4 (2.16.1-1) unstable; urgency=low

  * New upstream release.    
  * Add `DM-Upload-Allowed: yes' field.  Thanks Loïc for advocacy.
  * Add dpkg-dev >= 1.14.16 to Build-Depends for DM usage.
  * Remove doc-base from Build-Depends as it's not b-deped on.
  * Add ${shlibs:Depends} to all Depends fields as recommended.
  * Fix typo in last changelog.



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: glibmm2.4
Section: libs
Priority: optional
Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.gtkmm.org/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
Build-Depends: cdbs (>= 0.4.51),
               debhelper (>= 6),
               gnome-pkg-tools (>= 0.11),
               libglib2.0-dev (>= 2.28.0),
               libsigc++-2.0-dev (>= 2.0.17),
               pkg-config
Standards-Version: 3.9.1

Package: libglibmm-2.4-1c2a
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libglibmm-2.4-1,
           libglibmm-2.4-1c2
Replaces: libglibmm-2.4-1,
          libglibmm-2.4-1c2
Description: C++ wrapper for the GLib toolkit (shared libraries)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains shared libraries.

Package: libglibmm-2.4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1c2a (= ${binary:Version}),
         libglib2.0-dev (>= 2.28.0),
         libsigc++-2.0-dev (>= 2.0.0),
         pkg-config
Suggests: libglibmm-2.4-doc,
          libgtkmm-2.4-dev (>= 1:2.12.1)
Conflicts: libglibmm2.3-dev
Replaces: libglibmm2.3-dev
Description: C++ wrapper for the GLib toolkit (development files)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains development files. 

Package: libglibmm-2.4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1c2a (= ${binary:Version})
Conflicts: libglibmm-2.4-1c2a-dbg
Replaces: libglibmm-2.4-1c2a-dbg
Description: C++ wrapper for the GLib toolkit (debug symbols)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains debug symbols for debugging applications using glibmm.

Package: libglibmm-2.4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         lynx | www-browser
Suggests: gtkmm-documentation
Conflicts: libglibmm-2.4-dev (<< 2.14.1-1)
Replaces: libglibmm-2.4-dev (<< 2.14.1-1)
Description: C++ wrapper for the GLib toolkit (documentation)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains reference documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := glibmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.28.0

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

install/$(DOC_PKG)::
	$(MAKE) -C $(CURDIR)/examples clean

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://download.gnome.org/sources/glibmm/([\d\.]+)[02468]/ \
        glibmm-([\d\.]+)\.tar\.gz

## glibmm2.4 2.30.0

=== debian/changelog ===
glibmm2.4 (2.30.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - DBus::Server: Add constructors.
    - Remove Application and friends, because they are still not ready.
    - gmmproc: DocParser: Correct the removal of link tags.
  * debian/control:
    - build-dep on latest glib
  * debian/libglibmm-2.4-dev.install:
    - no more aclocal file shipped (perl macro was deprecated, see
      http://git.gnome.org/browse/glibmm/commit/?id=d1a70549a88dd1f0f5dc81ecd37428103e8aeec8)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Sep 2011 13:17:42 +0200

glibmm2.4 (2.29.13-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Sep 2011 08:47:36 +0200

glibmm2.4 (2.29.12-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/watch: Watch for unstable versions and *.tar.bz tarballs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Sep 2011 09:07:28 +0200

glibmm2.4 (2.29.11-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/control.in: updated glib requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Jul 2011 18:45:11 +0200

glibmm2.4 (2.28.1-1) unstable; urgency=low

  [ Deng Xiyue ]
  * debian/watch:
    + Fix RegEx to work again.

  [ Martin Pitt ]
  * New upstream bug fix release.
  * debian/rules: Run tests during build, to catch regressions on specific
    architectures or from breakage in dependencies.

 -- Martin Pitt <mpitt@debian.org>  Fri, 20 May 2011 13:28:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Deng Xiyue <manphiz-guest@users.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
@@ -15,10 +16,10 @@
 Build-Depends: cdbs (>= 0.4.51),
                debhelper (>= 6),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.30.0),
                libsigc++-2.0-dev (>= 2.0.17),
                pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: libglibmm-2.4-1c2a
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-static
+DEB_MAKE_CHECK_TARGET := check
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
 DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://download.gnome.org/sources/glibmm/([\d\.]+)/ \
        glibmm-([\d\.]+)\.tar\.bz2

## glibmm2.4 2.30.1

=== debian/changelog ===
glibmm2.4 (2.30.1-1) unstable; urgency=low

  * New upstream release.
  * Bump (Build-)Depends on libsigc++-2.0-dev to (>= 2.2.10).
  * Convert to multiarch. Closes: #651134
  * Update debian/copyright to the final copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 14:32:16 +0100

glibmm2.4 (2.30.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - Remove obsolete Conflicts/Replaces.
    - Suggest libgtkmm-3.0-dev instead of libgtkmm-2.4-dev.
    - Bump Depends on libglib2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 01:54:56 +0100

glibmm2.4 (2.30.0-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * debian/control.in:
    - Bump Build-Depends on libglib2.0-dev to (>= 2.30.0).
  * debian/rules:
    - Bump SHVER to 2.30.0.
    - Remove clean-la.mk, no longer needed.
  * debian/libglibmm-2.4-dev.install
    - Stop installing usr/share/aclocal, the glibmm_check_perl.m4 macro file
      has been removed upstream.
    - Remove libtool .la files.
    - Install glibmmconfig.h header file in /usr/lib/giomm-2.4/include.
  * Bump debhelper compatibility level to 8.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2011 19:29:07 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: glibmm2.4
Section: libs
Priority: optional
Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
DM-Upload-Allowed: yes
Homepage: http://www.gtkmm.org/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
Build-Depends: cdbs (>= 0.4.93),
               debhelper (>= 8.1.3),
               gnome-pkg-tools (>= 0.11),
               libglib2.0-dev (>= 2.30.0),
               libsigc++-2.0-dev (>= 2.2.10),
               pkg-config
Standards-Version: 3.9.3

Package: libglibmm-2.4-1c2a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: C++ wrapper for the GLib toolkit (shared libraries)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains shared libraries.

Package: libglibmm-2.4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1c2a (= ${binary:Version}),
         libglib2.0-dev (>= 2.30.0),
         libsigc++-2.0-dev (>= 2.2.10),
         pkg-config
Suggests: libglibmm-2.4-doc,
          libgtkmm-3.0-dev
Description: C++ wrapper for the GLib toolkit (development files)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains development files.

Package: libglibmm-2.4-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglibmm-2.4-1c2a (= ${binary:Version})
Description: C++ wrapper for the GLib toolkit (debug symbols)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains debug symbols for debugging applications using glibmm.

Package: libglibmm-2.4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         doc-base,
         lynx | www-browser
Suggests: gtkmm-documentation
Description: C++ wrapper for the GLib toolkit (documentation)
 GLib is a low-level general-purpose library used mainly by GTK+/GNOME
 applications, but is useful for other programs as well.
 glibmm is the C++ wrapper for GLib.
 .
 This package contains reference documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := glibmm

SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
SHVER := 2.30.0

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_MAKE_CHECK_TARGET := check
DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o

install/$(DOC_PKG)::
	$(MAKE) -C $(CURDIR)/examples clean

## glibmm2.4 2.31.20

=== debian/changelog ===
glibmm2.4 (2.31.20-1) experimental; urgency=low

  * New upstream development release.
  * Bump SHVER to 2.31.20.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.31.0).

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Mar 2012 15:21:45 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Build-Depends: cdbs (>= 0.4.93),
                debhelper (>= 8.1.3),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.30.0),
+               libglib2.0-dev (>= 2.31.0),
                libsigc++-2.0-dev (>= 2.2.10),
                pkg-config
 Standards-Version: 3.9.3
@@ -41,7 +41,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.30.0),
+         libglib2.0-dev (>= 2.31.0),
          libsigc++-2.0-dev (>= 2.2.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.30.0
+SHVER := 2.31.20
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## glibmm2.4 2.32.0

=== debian/changelog ===
glibmm2.4 (2.32.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on libglib2.0-dev
  * debian/rules:
    - Update SHVER

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2012 10:19:47 +1000

glibmm2.4 (2.31.22-0ubuntu1) precise-proposed; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Mar 2012 10:34:07 +1100

glibmm2.4 (2.31.20-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 11:46:37 +0100

glibmm2.4 (2.31.18.1-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Mar 2012 23:12:40 +0100

glibmm2.4 (2.31.18-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/watch: Look for unstable versions.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Feb 2012 07:01:47 +0100

glibmm2.4 (2.31.16-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Feb 2012 17:34:41 +0100

glibmm2.4 (2.31.2-0ubuntu2) precise; urgency=low

  * Convert to multiarch:
    - Pass --libdir with multiarch path to configure
    - Adjust .install files to refer to /usr/lib/subdirs
    - Add multiarch Pre-Depends
    (LP: #900565)

 -- Evan Broder <evan@ebroder.net>  Thu, 08 Dec 2011 19:09:20 -0800

glibmm2.4 (2.31.2-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/control.in: updated glib requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Dec 2011 16:03:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,28 @@
 Source: glibmm2.4
 Section: libs
 Priority: optional
-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 DM-Upload-Allowed: yes
 Homepage: http://www.gtkmm.org/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/glibmm2.4
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glibmm2.4
-Build-Depends: cdbs (>= 0.4.93),
-               debhelper (>= 8.1.3),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3~),
                gnome-pkg-tools (>= 0.11),
-               libglib2.0-dev (>= 2.31.0),
-               libsigc++-2.0-dev (>= 2.2.10),
+               libglib2.0-dev (>= 2.32.0),
+               libsigc++-2.0-dev (>= 2.0.10),
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 
 Package: libglibmm-2.4-1c2a
 Section: libs
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (shared libraries)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -37,15 +38,16 @@
 Package: libglibmm-2.4-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version}),
-         libglib2.0-dev (>= 2.31.0),
-         libsigc++-2.0-dev (>= 2.2.10),
+         libglib2.0-dev (>= 2.32.0),
+         libsigc++-2.0-dev (>= 2.0.10),
          pkg-config
 Suggests: libglibmm-2.4-doc,
           libgtkmm-3.0-dev
+Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (development files)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -57,10 +59,11 @@
 Section: debug
 Priority: extra
 Architecture: any
-Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libglibmm-2.4-1c2a (= ${binary:Version})
+Multi-Arch: same
 Description: C++ wrapper for the GLib toolkit (debug symbols)
  GLib is a low-level general-purpose library used mainly by GTK+/GNOME
  applications, but is useful for other programs as well.
@@ -71,7 +74,6 @@
 Package: libglibmm-2.4-doc
 Section: doc
 Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          doc-base,

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,11 @@
 
 SHARED_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-[[:digit:]][[:alnum:]]*)[[:space:]]*$$/\1/p' debian/control)
 DOC_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libglibmm-[[:digit:]\.]+-doc)[[:space:]]*$$/\1/p' debian/control)
-SHVER := 2.31.20
+SHVER := 2.32.0
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-static \
-                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 DEB_MAKE_CHECK_TARGET := check
 DEB_DH_MAKESHLIBS_ARGS_$(SHARED_PKG) += -V"$(SHARED_PKG) (>= $(SHVER))"
 DEB_INSTALL_EXAMPLES_$(DOC_PKG) += -XMakefile -X.deps -X.libs -X.o
